# AmazonChangeDynamoDbTablesParameters Object

## Description

Parameters for the Amazon Change DynamoDB Tables action.

## Properties

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### readCapacity

New read capacity value to apply to the tables.

Type: `integer`

Required: No

### regionNames

Regions to use with the action. One and only one region must be specified.

Type: Array of `string`

Required: Yes

### revertTimeInSeconds

Time (in seconds) to revert the tables to their original values.

Type: `integer`

Required: No

### tableIdentificationMethod

Method used to select tables to be modified.

Type: `string`

Valid Values:

* `all-tables`
* `by-table-name`

Required: Yes

### tableNameComparison

Comparison to use when comparing by table name. Required when `tableIdentificationMethod` is `by-table-name`.

Type: [TableNameComparison](/data-types/tablenamecomparison-object.md) object

Required: Conditional

### writeCapacity

New write capacity value to apply to the tables.

Type: `integer`

Required: No

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],

    "tableIdentificationMethod": "by-table-name",
    "tableNameComparison": {
        "compareType": "starts-with",
        "tableName": "prod-"
    },

    "readCapacity": 10,
    "writeCapacity": 3,

    "revertTimeInSeconds": 43200
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazonchangedynamodbtablesparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
